Public Support - Support Request #3042

Wrong print of float values in Media Description Display since ADTF 2.14.1

2018-06-19 14:45 - hidden

Status: Closed
Priority: Normal
Category:

Customer: AUDI
Department: EF

Product Issue
Numbers:

Affected Products:

https://www.cip.audi.de/jira/browse/ACO
RE-9580

ADTF 2.14.1
Description

Supportanfrage

Ich habe ein seltsamer Verhalten bei dem ADTF-Beispiel-Filter "demo_media_description_display".

Verhalten:

Beim Anzeigen der Float-Werte im description-Display wird etwas komisches angezeigt (geringere Werte), scheinbar genau ' von

dem was eigentlich sein sollte.

In der ADTF-Version 2.14.0 funktioniert alles einwandfrei

In der ADTF-Version 2.14.1 tritt das Problem auf

Meine Analyse:
In der Datei

<ADTF_DIR>\src\examples\src\filters\demo_media_description_display\desc_display_filter.cpp

Zeile 860 & 871
In Version: 2.14.0:

[860] stritemText = cString::FromFloat64(tFloat64(*pf32Val));
[871] stritemText = cString::FromFloat64(tFloat64(*pf64Val));

In Version 2.14.1

[896] strltemText = cString::Format(m_strFormatFloat.GetPtr(), tFloat64((*pf32Val)/2));
[907] stritemText = cString::Format(m_strFormatFloat.GetPtr(), tFloat64((*pf64Val)/4));

WARUM wird be idem Float64 Value durch 4 geteilt ...

Ist das ein anwender Fehler von mir? Ich habe den Property-Wert flr "strFormatFloat" auf dem Default gelassen, aber warum wird
der gelesene Wert durch 4 geteilt? (bzw. bei float32 durch 2 geteilt). Hat das einen Hintergrund?

Lésung

Ich finde nach langen Uberlegen keine logische Erklarung, wir werden das wieder riickgangig machen (ACORE-9580).

Workaround bis dahin:
Reverted die beiden Codezeilen im Example

History

#1 - 2018-06-19 15:58 - hidden

Richter, Martin (EFS-GV2) <martini.richter@efs-auto.de>

An Storz, Jens (I/EF-12, extern) <extern.jens.storz@audi.de>

Di 19.06.2018 14:38

Hallo Jens,

ich Nehm einfach das kompilierte Beispiel aus adtf 2.14.0. Das passt soweit fiir mich.
Ich frag mich nur warum man den Inputwert einfach durch vier teilt. Ich meine vielleicht macht es ja irgendwie Sinn (wobei ich den Sinn nicht erkenne
...), mich hat es total verwirrt, das im Display andere Werte stehen als ich sie im Filter printe ...

Viele GruBBe
Martin Richter

#2 - 2018-06-20 09:13 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF::Common

- Affected Products ADTF 2.14.1 added

- Platform Windows 7 64bit added

#3 - 2018-07-12 09:23 - hidden

- Project changed from 11 to Public Support

- Subject changed from WG: Probleme mit dem ADTF-Beispielen to Wrong print of float values in Media Description Display since ADTF 2.14.1
- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9580

- Support Level changed from 2nd Level to 3rd Level

- Customer set to AUDI

- Department set to EF

Hi Jens,
ich finde nach langen Uberlegen keine logische Erklarung, wir werden das wieder riickgangig machen (ACORE-9580).

Workaround bis dahin:
Reverted die beiden Codezeilen im Example

#4 - 2018-07-19 10:47 - hidden
- Status changed from To Be Closed to Closed
